<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
function smarty_block_t($params, $text_key, $template)
{
	$text_key=_m(trim($text_key));
	if (count($params))
	{
		ksort($params);
		array_unshift($params, $text_key);
		$text_key=call_user_func_array('sprintf', $params);
	}
	
	echo $text_key;
}
?>